### Method

# Gtk CustomFilter set_filter_func

#### Declaration [src]

    void
    gtk_custom_filter_set_filter_func (
      GtkCustomFilter* self,
      GtkCustomFilterFunc match_func,
      gpointer user_data,
      GDestroyNotify user_destroy
    )

#### Description [src]

Sets the function used for filtering items.

If `match_func` is `NULL`, the filter matches all items.

If the filter func changes its filtering behavior, `gtk_filter_changed()` needs to be called.

If a previous function was set, its `user_destroy` will be called now.

#### Parameters

`match_func`

  Type: `GtkCustomFilterFunc`

  Function to filter items.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  User data to pass to `match_func`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`user_destroy`

  Type: `GDestroyNotify`

  Destroy notify for `user_data`.